Groovy JDK

## java.lang
Class Boolean

Method Summary
`Boolean` | `and(Boolean right)` Logical conjunction of two boolean operators.
`boolean` | `asBoolean()` Coerce an Boolean instance to a boolean value.
`Boolean` | `implies(Boolean right)` Logical implication of two boolean operators
`Boolean` | `or(Boolean right)` Logical disjunction of two boolean operators
`Boolean` | `toBoolean()` Identity conversion which returns Boolean.TRUE for a true Boolean and Boolean.FALSE for a false Boolean.
`Boolean` | `xor(Boolean right)` Exclusive disjunction of two boolean operators

Method Detail

### and

    public Boolean and(Boolean right)

  Logical conjunction of two boolean operators.

Parameters:
  `right` - right operator.

Returns:
  result of logical conjunction

Since:
  1.0

### asBoolean

    public boolean asBoolean()

  Coerce an Boolean instance to a boolean value.

Returns:
  the boolean value

Since:
  1.7.0

### implies

    public Boolean implies(Boolean right)

  Logical implication of two boolean operators

Parameters:
  `right` - right operator.

Returns:
  result of logical implication

Since:
  1.8.3

### or

    public Boolean or(Boolean right)

  Logical disjunction of two boolean operators

Parameters:
  `right` - right operator.

Returns:
  result of logical disjunction

Since:
  1.0

### toBoolean

    public Boolean toBoolean()

  Identity conversion which returns Boolean.TRUE for a true Boolean and Boolean.FALSE for a false Boolean.

Returns:
  the original Boolean

Since:
  1.7.6

### xor

    public Boolean xor(Boolean right)

  Exclusive disjunction of two boolean operators

Parameters:
  `right` - right operator.

Returns:
  result of exclusive disjunction

Since:
  1.0

Groovy JDK